Skip to main content
POST
/
v4
/
deployment-packages
/
{account_id}
/
install_async
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
deployment_package_job = client.deployment_packages.install_async(
    account_id="account_id",
)
print(deployment_package_job.deployment_package_job_id)
{
  "deployment_package_job_id": "<string>",
  "account_id": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

account_id
string
required

Body

application/json
deployment_package_id
string
deployment_package_name
string
deployment_package_type
enum<string>
Available options:
EGP_CONFIGURATION,
BLOB_STORAGE_FILE,
DOCKER_IMAGE,
EGP_ENTITY,
EGP_USER,
INTERNAL_MODEL_INFO,
EVALUATION_DATASET,
MODEL,
KNOWLEDGE_BASE,
AGENTS_CONFIG
version_constraint
SemVerMinVersion · object

Response

Successful Response

deployment_package_job_id
string
required
account_id
string